# Function asyncFlatMap

- asyncFlatMap<T, T2>(items, mapFunc): Promise<T2[]>

- A function that executes the `mapFunc` function on each item in `items` and then concatenates the results.

  #### Type Parameters

  - T
  - T2

  #### Parameters

  - items: T[]

    The items to be concatenated.

  - mapFunc: ((item: T) => Promise<T2[]>)

    The function used to concatenate the items.

    - - (item): Promise<T2[]>

      - #### Parameters

        - item: T

        #### Returns Promise<T2[]>